> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dispute

> Creates a dispute for a specific transaction.



## OpenAPI

````yaml openapi.json post /cards/disputes
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /cards/disputes:
    post:
      summary: Create Dispute
      description: Creates a dispute for a specific transaction.
      operationId: create-dispute
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - transactionId
                - reason
                - explanation
              properties:
                transactionId:
                  type: string
                  description: The `_id` of the transaction the dispute is for.
                reason:
                  type: string
                  description: The reason for the dispute.
                  default: not_received
                  enum:
                    - not_received
                    - fraudulent
                    - duplicate
                    - product_not_as_described
                    - service_not_as_described
                    - canceled
                    - other
                explanation:
                  type: string
                  description: More details on the dispute.
                metadata:
                  type: string
                  description: The key-value pair you wish to attach to the dispute object.
                  default: '{}'
                  format: json
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````